ConstantModule (Apache Commons BCEL 6.4.1 API)

org.apache.bcel.classfile

## Class ConstantModule

- java.lang.Object
- - org.apache.bcel.classfile.Constant
  - - org.apache.bcel.classfile.ConstantModule

- All Implemented Interfaces:
    Cloneable, ConstantObject, Node

      public final class ConstantModule
      extends Constant
      implements ConstantObject

  This class is derived from the abstract `Constant` and represents a reference to a module.

  Note: Early access Java 9 support- currently subject to change

  Since:
    6.1
  See Also:
    `Constant`

- - ### Field Summary

    - ### Fields inherited from class org.apache.bcel.classfile.Constant

      `tag`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConstantModule(ConstantModule c)` Initialize from another object.
    `ConstantModule(int name_index)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `accept(Visitor v)` Called by objects that are traversing the nodes of the tree implicitly defined by the contents of a Java class.
    `void` | `dump(DataOutputStream file)` Dump constant module to file stream in binary format.
    `String` | `getBytes(ConstantPool cp)`
    `Object` | `getConstantValue(ConstantPool cp)`
    `int` | `getNameIndex()`
    `void` | `setNameIndex(int name_index)`
    `String` | `toString()`

    - ### Methods inherited from class org.apache.bcel.classfile.Constant

      `clone, copy, equals, getComparator, getTag, hashCode, readConstant, setComparator`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ConstantModule

          public ConstantModule(ConstantModule c)

      Initialize from another object.

    - #### ConstantModule

          public ConstantModule(int name_index)

      Parameters:
        `name_index` - Name index in constant pool. Should refer to a ConstantUtf8.

  - ### Method Detail

    - #### accept

          public void accept(Visitor v)

      Called by objects that are traversing the nodes of the tree implicitly defined by the contents of a Java class. I.e., the hierarchy of methods, fields, attributes, etc. spawns a tree of objects.
      Specified by:
        `accept` in interface `Node`
      Specified by:
        `accept` in class `Constant`
      Parameters:
        `v` - Visitor object

    - #### dump

          public void dump(DataOutputStream file)
                    throws IOException

      Dump constant module to file stream in binary format.
      Specified by:
        `dump` in class `Constant`
      Parameters:
        `file` - Output file stream
      Throws:
        `IOException`

    - #### getNameIndex

          public int getNameIndex()

      Returns:
        Name index in constant pool of module name.

    - #### setNameIndex

          public void setNameIndex(int name_index)

      Parameters:
        `name_index` - the name index in the constant pool of this Constant Module

    - #### getConstantValue

          public Object getConstantValue(ConstantPool cp)

      Specified by:
        `getConstantValue` in interface `ConstantObject`
      Returns:
        String object

    - #### getBytes

          public String getBytes(ConstantPool cp)

      Returns:
        dereferenced string

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Constant`
      Returns:
        String representation.

Copyright © 2004–2019 The Apache Software Foundation. All rights reserved.